Page MenuHomePhabricator

Can't find a way to customise search results display
Closed, DeclinedPublic

Description

  1. Search something

I. Expected: I can customise what info is shown about the items.
II. Observed: nothing like that, I'm forced to the view:

T149 Can't define dependencies in task creation

Sat, Apr 19, 18:33

Assigned: aklapper

Wikimedia Phabricator

Details

Reference
fl171

Event Timeline

flimport raised the priority of this task from to Lowest.Sep 12 2014, 1:29 AM
flimport set Reference to fl171.

aklapper wrote on 2014-04-21 09:30:01 (UTC)

Usecase extremely welcome and which items you'd prefer and why - customizing for the sake of customizing can't be it. :)

Nemo_bis wrote on 2014-06-15 09:37:49 (UTC)

Usecase extremely welcome and which items you'd prefer and why - customizing for the sake of customizing can't be it. :)

If the useful items were always the same, customisation wouldn't be needed.

As for use cases, there are probably hundreds already documented: https://bugzilla.wikimedia.org/userprefs.cgi?tab=saved-searches
Plus those not in saved search, e.g. https://www.mediawiki.org/wiki/Manual:Upgrading#Why_upgrade.3F with its summary of fixed security issues and 53 other occurrences of "columnlist" among mediawiki.org links to bug lists.

aklapper wrote on 2014-06-15 12:42:17 (UTC)

I don't see how saved searches create a point for what's displayed in search results. Do you refer to the possibility to define what to sort by or which columns to display in the URL parameters (in case that anybody knows about this)?

with its summary of fixed security issues

Bugzilla still displays lots of other things than only the summary (and you cannot switch that off), so no big difference to Phabricator's list which will display the summary and some other things, right?

I really miss the convincing usecase here, still. :-/

aklapper wrote on 2014-06-26 16:21:08 (UTC)

Still waiting for a convincing usecase here before this ends up as WONTFIX....

Nemo_bis wrote on 2014-07-02 20:05:06 (UTC)

I don't see how saved searches create a point for what's displayed in search results. Do you refer to the possibility to define what to sort by or which columns to display in the URL parameters (in case that anybody knows about this)?

Yes.

Bugzilla still displays lots of other things than only the summary

Summary as in overview, not as in bug summaries.

aklapper wrote on 2014-07-02 21:08:02 (UTC)

Alright, using URL parameters for this is not supported by Phabricator. Request could be upstreamed, but sounds like WONTFIX to me.

Nemo_bis wrote on 2014-08-28 14:14:44 (UTC)

I still don't understand how to alter the display of a search like http://fab.wmflabs.org/search/query/TXrayAP_Or0f/#R . For instance, how do I make it show the status, or assignee, or project? How do I remove the full URL of the tasks?

Comment 20 says using URL parameters is not supported, but I don't see any other way either.

qgil wrote on 2014-08-28 20:42:29 (UTC)

You can make it show status and assignee and project: http://fab.wmflabs.org/maniphest/query/o3tXaE7Dp.FS/#R

But Phabricator doesn't allow you select which of these files are shown or not. This doesn't look like a feature with much demand in Wikimedia Phabricator, though. I think the best is to mark this request as Declined, because we are not going to work on it. You can always pursue it upstream.

aklapper wrote on 2014-08-28 21:03:08 (UTC)

Re last two comments: Probably also because http://fab.wmflabs.org/search/query/ is Phabricator-wide --- http://fab.wmflabs.org/maniphest/query displays some Maniphest-specific items.

Generally on this request: I'm also proposing Declined for our instance, so I'm bold and set it. Surely Bugzilla's columnlist parameter is nice (or even "convenient" in some cases), but I don't see how it's something really relevant or if there are more than five Bugzilla power users intentionally using that URL parameter in some shared URLs.

Nemo_bis wrote on 2014-09-03 14:34:02 (UTC)

You can make it show status and assignee and project: http://fab.wmflabs.org/maniphest/query/o3tXaE7Dp.FS/#R

Better than nothing, but how is this feature discoverable in the interface? I'm unable to find it.

I think the best is to mark this request as Declined, because we are not going to work on it. You can always pursue it upstream.

I'm not interested in pursuing anything upstream, it's time consuming enough to deal with regressions locally.

aklapper wrote on 2014-09-03 15:03:29 (UTC)

how is this feature discoverable in the interface? I'm unable to find it.

It's not, but as I had to point people to "Edit columns" several times now in Bugzilla I can't imagine that many people have ever thought of or tried to change columns in Bugzilla's search results.

qgil wrote on 2014-09-03 15:38:38 (UTC)

In T171#26, @Nemo_bis wrote:

You can make it show status and assignee and project: http://fab.wmflabs.org/maniphest/query/o3tXaE7Dp.FS/#R

Better than nothing, but how is this feature discoverable in the interface? I'm unable to find it.

Maniphest > Advanced Search

importing issue status

flimport closed this task as Declined.Sep 12 2014, 1:29 AM